Skip to main content
`Ctrl`+`K`

# DMTSGetIJacobian

get `TS` Jacobian evaluation function from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetIJacobian(DM dm, TSIJacobianFn **func, void **ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameters

- func - Jacobian evaluation function, for calling sequence see `TSIJacobianFn`

- ctx - context for residual evaluation

## Note

`TSGetIJacobian()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`. This makes the interface consistent regardless of whether the user interacts with a `DM` or not. If `DM` took a more central role at some later date, this could become the primary method of setting the Jacobian.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`, `DMTSSetIJacobian()`, `TSIJacobianFn`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages